4Suite™ API Documentation

# ► Module Ft.Server.Server

Repository server (direct access) base module
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: FtServerServerException, Module |  |  |  | Fields: FTSERVER_NAMESPACE, FTSERVER_SERVER_NS

## Modules

Commands | This command-line application allows a 4Suite repository administrator to perform management tasks on the repository as a whole, including setup, server control, backup, and other operations.
ConfigParser |
Connection |
Controller | Controller of all repository servers/daemons
Daemon |
Drivers |
FtRpc |
Ftp |
GlobalConfig | Collected stste from the global 4Suite repository config file, parsed in Ft.Server.Server.Lib.ConfigFile
Http | HTTP and SOAP server for the repostiory
Ipc |
Launcher |
Lib |
MessageSource | Misc error codes and messages for the repository servers
Modules |
RequestHandler |
SCore | Core repository access functions
ServerConfig |
Xslt | XSLT extension elements and functions supporting the 4SS repository API

## Classes

class FtServerServerException(Ft.Server.FtServerBaseException)
Exception class for errors incurred while using the server core APIs

### Methods inherited from class Ft.Server.FtServerBaseException

__init__

### Methods inherited from class Ft.FtException

__getattr__, __repr__, __str__

### Methods inherited from class exceptions.Exception

__getitem__

### Fields

MessageSource = <module 'Ft.Server.Server.MessageSource' from 'b...T-sparc64-2.4/Ft/Server/Server/MessageSource.py'>

class Module
# Base class for modules used in servers

### Methods

initialize(self, parser, config)
Hook to allow all modules to perform whatever is needed before beginning to process configuration entries.
loadObject(self, path)

### Fields

commands = {}
handlers = {}

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
FTSERVER_SERVER_NS = 'http://xmlns.4suite.org/reserved'